/*   MR -- A colorful and powerful mailreader
     Copyright (C) 1997 Przemek Borys

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

     Przemek Borys can be contacted on pborys@p-soft.silesia.linux.org.pl
     (home machine), or pborys@rhea.ids.pl, or 2:484/17.25 at FidoNet.
*/
#include "mr.h"
#include "TCharset.h"

void TCharset::Decode()
	{
	logfile("TCharset::Decode"); 
	logfile(charsetfile);
	FILE *id=fopen(charsetfile,"rt");
	if(id==MYNULL) return;
	char *oldcharset=new char[255];
	char *newcharset=new char[255];
	int chars=0;
	for(int i=0;(i<255)&&(!feof(id));i++)
		{
		oldcharset[i]=fgetc(id);
		fgetc(id);
		newcharset[i]=fgetc(id);
		fgetc(id);
		chars=i;
		}
	fclose(id);      
	for(long y=minline;y<maxy+minline;y++)
	for(long x=0;x<strlen(file[y]);x++)
	for(int i=0;i<=chars;i++)
	if(file[y][x]==oldcharset[i]) file[y][x]=newcharset[i];
	delete[] newcharset; 
	delete[] oldcharset;
	}               

