/*   MR -- A colorful and powerful mailreader
     Copyright (C) 1997 Przemek Borys

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

     Przemek Borys can be contacted on pborys@p-soft.silesia.linux.org.pl
     (home machine), or pborys@rhea.ids.pl, or 2:484/17.25 at FidoNet.
*/
#ifndef _EXTENSIONS_H
#define _EXTENSIONS_H

#define NUMBER_OF_IMAGE_TYPES 2
extern const char *image_types[NUMBER_OF_IMAGE_TYPES];   
extern const char *image_content_types[NUMBER_OF_IMAGE_TYPES];

#define NUMBER_OF_AUDIO_TYPES 1
extern const char *audio_types[NUMBER_OF_AUDIO_TYPES];
extern const char *audio_content_types[NUMBER_OF_AUDIO_TYPES];

#define NUMBER_OF_VIDEO_TYPES 1
extern const char *video_types[NUMBER_OF_VIDEO_TYPES];
extern const char *video_content_types[NUMBER_OF_VIDEO_TYPES];

#define NUMBER_OF_TEXT_TYPES 4
extern const char *text_types[NUMBER_OF_TEXT_TYPES];
extern const char *text_content_types[NUMBER_OF_TEXT_TYPES];

#endif
