/*   MR -- A colorful and powerful mailreader
     Copyright (C) 1997 Przemek Borys

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

     Przemek Borys can be contacted on pborys@p-soft.silesia.linux.org.pl
     (home machine), or pborys@rhea.ids.pl, or 2:484/17.25 at FidoNet.
*/

/*   This header file defines a class used to translate character sets.
     It reads a message, and changes the requested letters */

#ifndef _TCHARSET_H
#define _TCHARSET_H
#include"misc.h"

class TCharset {
	pchar *file;        //the message, represented as array of strings
	
	long maxy,minline;  //number of lines in message, and the line,
	//on which the rfc822 headers end.
	
	char *charsetfile;  //Indicates the file with translation table
	
	public:
	void Decode();      //Decode message to local charset
	
	TCharset(pchar *filedata,long max_y,long min_line,
	char *charset_file) :
	file(filedata),maxy(max_y),minline(min_line),
	charsetfile(charset_file)
		{
		logfile("TCharset::TCharset");  
		}
	};
#endif
